%CITATION Strohsal, T., Proao, C.R., Wolters, J. (2015): 
%"Characterizing the Financial Cycle: Evidence from a Frequency Domain Analysis"
%Discussion Paper, Deutsche Bundesbank, No 22/2015.

%retrieve mass between freq_bands around peak

function[actual_mass]=get_mass_at_peak(spectrum,frequency,frequency_max)

freq_bands=25;
actual_mass=0;
total_mass=trapz(spectrum);
idx=find(frequency==frequency_max);

for i=1:freq_bands
    if  idx-i>0
        actual_mass=(trapz(spectrum((idx-i):(idx+i)))/total_mass)*100;
    else
        actual_mass=(trapz(spectrum(1:(2*freq_bands+1)))/total_mass)*100;
        break
    end
end
end